# $Revision: 1.26 $, $Date: 2002/09/28 12:50:54 $
Summary:	The Vorbis General Audio Compression Codec
Summary(pl):	Kodek kompresji audio - Vorbis
Summary(pt_BR):	Biblioteca libvorbis
Summary(ru):	   Vorbis
Summary(uk):	 ϧ Ӧ Vorbis
Name:		libvorbis
Version:	1.0
Release:	5
Epoch:		1
License:	BSD
Group:		Development/Libraries
Source0:	http://www.xiph.org/ogg/vorbis/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-make.patch
URL:		http://www.xiph.org/ogg/
%requires_eq	libogg
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	libogg-devel >= 2:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libvorbis0

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

%description -l pl
Ogg Vorbis jest cakowicie otwartym, nie bdcym niczyj wasnoci,
wolnym od patentw, oglnego przeznaczenia kodekiem audio i muzyki o
staej i zmiennej bitrate od 16 do 128 kbps/kana.

%description -l ru
Ogg Vorbis -   ,     
       
  16  128     .

%description -l uk
Ogg Vorbis -  Φ צ, צ צ Ԧ  
צ   Ħ  Ʀ  ͦ
¦ צ 16  128 ˦¦    .

%description -l pt_BR
Ogg Vorbis e' um formato de udio aberto de propsito geral,
no-proprietrio e isento de patentes e royalties, para udio e musica
de alta qualidade (44.1-48.0kHz, 16+ bit, polifonico) com bitrate fixo
ou varivel de 16 a 128 kbps/canal. Isso coloca Vorbis na mesma
categoria de MPEG-1 audio layer 3, MPEG-3 audio (AAC e TwinVQ) e PAQ.

%package devel
Summary:	Development files for OGG Vorbis library
Summary(pl):	Pliki nagwkowe i dokumentacja developerska
Summary(pt_BR):	Bibliotecas para desenvolvimento com o vorbis
Summary(ru):	 Vorbis - 
Summary(uk):	̦ Vorbis - 
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libogg-devel
Obsoletes:	libvorbis0-devel

%description devel
The libvorbis-devel package contains the header files and
documentation needed to develop applications with libvorbis.

%description devel -l pl
Pliki nagwkowe i dokumentacja developerska potrzebna do rozwijania
aplikacji korzystajcych z biblioteki libvorbis.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento com o codec
Vorbis.

%description devel -l ru
 libvorbis-devel      
   libvorbis.

%description devel -l uk
 libvorbis-devel ͦ  ˦  æ 
   libvorbis.

%package static
Summary:	Static development library for OGG Vorbis
Summary(es):	Bibliotecas estticas
Summary(pl):	Biblioteka statyczna OGG Vorbis
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com o vorbis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The libvorbis-static package contains the static libraries of
libvorbis.

%description static -l pl
Biblioteka statyczna OGG Vorbis.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com o codec Vorbis.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# temporary workaround for gcc 2.91-2.95.4 bug:
%ifarch i686
sed -e 's@-mno-ieee-fp@ @g' configure.in > configure.in.new
mv -f configure.in.new configure.in
%endif

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

rm -f doc/Makefile* doc/*/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README COPYING doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/vorbis
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libvorbis.spec,v $
Revision 1.26  2002/09/28 12:50:54  kloczek
- release 5.

Revision 1.25  2002/09/28 12:34:33  fastviper

- Requires libogg in the same version
- BuildRequires libogg-devel in the same version (removed hardcoded 1.0)

Revision 1.24  2002/08/05 11:31:04  malekith
- license is BSD not GPL
- include COPYING file
- release 4

Revision 1.23  2002/07/21 13:01:51  kloczek
- do not place information about versin in Sumary or %description (Version
  is for this).

Revision 1.22  2002/07/21 12:44:44  wrobell
- fixed br summary
- rel. 3, stb

Revision 1.21  2002/07/20 20:33:13  qboosh
- removed Makefiles from doc, release 2

Revision 1.20  2002/07/20 15:34:40  wrobell
- ver. 1.0
- new doc

Revision 1.19  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/11 20:49:01  kloczek
- release 2: merge translations from KSI and Conectiva.

Revision 1.16  2002/05/11 17:03:55  qboosh
- fixed Source0 URL

Revision 1.15  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 09:44:43  ankry
- version 1.0rc3

Revision 1.10  2002/01/02 17:28:30  kloczek
- release 3: libvorbis0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2001/10/26 22:27:42  qboosh
- don't use -mno-ieee-fp on i686
  (workaround for gcc 2.91-2.95.4 bug causing SIG11/ICE on i686)
- adapterized, buildrequire libtool only once ;)
- release 2

Revision 1.8  2001/08/15 19:26:45  kloczek
- updated to 1.0rc2.

Revision 1.7  2001/06/27 10:26:20  misiek
- updated to 1.0rc1

Revision 1.6  2001/05/08 08:15:46  kloczek
- added missing BuildRequires: libtool.

Revision 1.5  2001/04/30 16:58:26  kloczek
- release 1.

Revision 1.4  2001/04/30 16:36:05  qboosh
- moved *.la to devel
- BuildRequires: libogg-devel; libvorbis-devel Requires: libogg-devel
- release 0.2

Revision 1.3  2001/04/28 23:20:53  misiek
- updated to 1.0beta4
- link dynamicly with libogg

Revision 1.2  2000/10/31 22:48:40  kloczek
- adapterized and partialy rewrited but without testing.

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
